Show / Hide Table of Contents

# AsyncUpdateTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncUpdateTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncUpdateTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetUpdateAsyncHandler() |
GetUpdateAsyncHandler(CancellationToken) |
UpdateAsync() |
UpdateAsync(CancellationToken) |

### Methods

#### GetUpdateAsyncHandler()

    public IAsyncUpdateHandler GetUpdateAsyncHandler()

##### Returns

IAsyncUpdateHandler

#### GetUpdateAsyncHandler(CancellationToken)

    public IAsyncUpdateHandler GetUpdateAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncUpdateHandler

#### UpdateAsync()

    public UniTask UpdateAsync()

##### Returns

UniTask

#### UpdateAsync(CancellationToken)

    public UniTask UpdateAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>